/*
 * @Author       : Eleanor Mao
 * @Date         : 2024-04-09 09:38:20
 * @LastEditTime : 2024-04-09 09:38:20
 *
 * 
 */
import React, { useState } from "react";
import Button from '@mui/material/Button';
import Box from '@mui/material/Box';
import { styled } from '@mui/material/styles';
import Typography from '@mui/material/Typography';
import CardActionArea from '@mui/material/CardActionArea';
import Switch from '@mui/material/Switch';
import { Link } from "react-router-dom";
import AddIcon from '@mui/icons-material/Add';
import Card from '@mui/material/Card';
import CardActions from '@mui/material/CardActions';
import CardContent from '@mui/material/CardContent';


interface ListItem {
  id: string;
  active: boolean;
  title: string;
}

const Flex = styled(Box)(() => ({
  display: 'flex',
}));

export const List = () => {
  const [list] = useState<ListItem[]>([{
    id: 'a',
    title: 'Workflow 1',
    active: true
  }]);
  return (
    <>
      <Flex style={{ justifyContent: 'flex-end' }}>
        <Button startIcon={<AddIcon/>} variant="contained" href={`/create`}>Create Workflow</Button>
      </Flex>
      <Flex sx={{ gap: 2 }}>
        {list.map(item => (
          <Link
            key={item.id}
            to={`/detail/${item.id}`}
          >
            <Card sx={{ width: 280, borderRadius: 2, boxShadow: 2 }}>
              <CardActionArea>
                <CardContent>
                  <Typography gutterBottom variant="h5" component="div">
                    {item.title}
                  </Typography>
                  <Box sx={{ minHeight: 60 }}>
                    <img style={{ width: 20, height: 20 }}
                         src="https://netstorage.ringcentral.com/appext/gallery-page/images/25e9f677-5605-4092-a6c3-69de29a81d8d.svg"
                         alt="rc"/>
                  </Box>
                </CardContent>
                <CardActions sx={{ display: { xs: 'flex' }, justifyContent: "flex-end" }}>
                  <Switch defaultChecked/>
                </CardActions>
              </CardActionArea>
            </Card>
          </Link>))}
      </Flex>
    </>
  );
};
